Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000615 [Piwigo] albums feature always 2007.01.09 23:19 2007.11.13 18:43
Reporter Rio View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform x86
Status closed   OS WXP
Projection none   OS Version 1.6.1
ETA none Fixed in Version 1.7.0 Product Version 1.6.1
  Target Version Product Build
Summary 0000615: Ordre lors de la céation des catégories
Description Demandes d'évolution.

Lors de la création d’une catégorie, celle-ci apparaît par défaut à la fin de la liste des catégories.
Ceci complique les premières opérations qu’effectue l’administrateur sur cette catégorie car il doit, à chaque fois, parcourir ladite liste.
Sans changer l’ordre des catégories existantes, placer les nouvelles catégories en tête de liste faciliterait la gestion.
Steps To Reproduce Création de catégories / Synchronisation (nouveaux répertoires)
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001644)
VDigital (reporter)
2007.01.10 06:35

French Evolution request to obtain a better display related to new categories within category management.
(0001645)
VDigital (reporter)
2007.01.10 06:42

Forum Topic: http://forum.phpwebgallery.net/viewtopic.php?pid=51765#p51765 [^]

French Feature description: so we switch to French.

2 solutions

1 - La solution optimale.

1.1 "Ajouter une catégorie virtuelle" avant la liste et pas après.
1.2 La nouvelle catégorie en position 0 sur la liste (SANS TOUCHER à l'ordre des catégorie pour autant).

2 - Une solution paliative.
2.1 "Ajouter une catégorie virtuelle" avant la liste et pas après.
2.2 <a name="bottom"> sous la nouvelle catégorie en fin de liste.
2.3 Un lien interne à la page en haut de page pointant sur #bottom présent uniquement si plus de 10 catégories.
Et toujours SANS TOUCHER à l'ordre des catégorie pour autant.

La solution 1 impliquerait de revoir aussi le processus de synchro.

Nous irons donc vers la solution 2. qui est relativement simple à mettre en oeuvre et ne concerne presque que les templates.
(0001647)
VDigital (reporter)
2007.01.10 19:47

Une version Draft est livrée en Alligator (future 1.7)
Les langues sont à corriger, un test est au moins à faire car le lien est bien inutile si moins de 10 catégories.
Mais déjà ça marche.
(0001662)
VDigital (reporter)
2007.01.18 08:06

Un icon vers le bas de page en lieu et place du texte end_of_page

Reste à faire le test d'affichage si plus de 10 catégories.
(0001665)
VDigital (reporter)
2007.01.19 07:57

Category management has been changed to :
- create new ones on top
- have a link to bootom to change the lastest created categories only if you have more than 9 categories

- Issue History
Date Modified Username Field Change
2007.01.09 23:19 Rio New Issue
2007.01.09 23:19 Rio browser => any
2007.01.09 23:19 Rio Web server => Apache 1.3.x
2007.01.09 23:23 Rio Issue Monitored: Rio
2007.01.10 06:35 VDigital Note Added: 0001644
2007.01.10 06:35 VDigital Assigned To => VDigital
2007.01.10 06:35 VDigital Status new => acknowledged
2007.01.10 06:42 VDigital Note Added: 0001645
2007.01.10 07:40 VDigital Status acknowledged => assigned
2007.01.10 17:56 jppmedia Issue Monitored: jppmedia
2007.01.10 19:47 VDigital Note Added: 0001647
2007.01.18 08:06 VDigital Note Added: 0001662
2007.01.19 07:57 VDigital Status assigned => resolved
2007.01.19 07:57 VDigital Fixed in Version => Alligator 2
2007.01.19 07:57 VDigital Resolution open => fixed
2007.01.19 07:57 VDigital Note Added: 0001665
2007.08.24 20:47 Rio Issue End Monitor: Rio
2007.11.13 18:43 VDigital Status resolved => closed
2007.11.13 18:43 VDigital Fixed in Version Alligator 2 => 1.7.0


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker